import java.io.File;
import java.io.IOException;
import java.util.Scanner;
import java.lang.*;
import java.util.*;
/**
 * Created by thook on 10/7/15.
 */
public class HamletParser {

    private String hamletData;
    private Formatter formatter;

    public HamletParser(){
        this.hamletData = loadFile();
    }

    private String loadFile(){
        ClassLoader classLoader = getClass().getClassLoader();
        File file = new File(classLoader.getResource("hamlet.txt").getFile());
        StringBuilder result = new StringBuilder("");
        StringBuilder lineResult;
        String[] wordArr;

        try(Scanner scanner = new Scanner(file)){
            while(scanner.hasNextLine()){
                String line = scanner.nextLine();
                wordArr = line.split(" ");
                lineResult = new StringBuilder("");
                for (String s: wordArr) {
                    if (findHamlet(s)) {
                        lineResult.append(changeHamletToLeon()).append(" ");
                    } else if (findHoratio(s)) {
                        lineResult.append(changeChangeHoratioToTariq()).append(" ");
                    } else {
                        lineResult.append(s).append(" ");
                    }
                }
                result.append(lineResult.toString().trim());
            }

            scanner.close();
        }catch(IOException e){
            e.printStackTrace();
        }
        openOutFile();
        addText(result.toString());
        closeOutFile();
        return result.toString();
    }

    public String getHamletData(){
        return hamletData;
    }

    public boolean findHamlet(String s){
        if (s.toLowerCase().matches("hamlet")){
            return true;
        } else {
            return false;
        }
    }

    public boolean findHoratio(String s){
        if (s.toLowerCase().matches("horatio")){
            return true;
        } else {
            return false;
        }
    }

    public String changeHamletToLeon(){
        return "Leon";
    }

    public String changeChangeHoratioToTariq(){
        return "Tariq";
    }

    /**
     * Methods to print out to a new file
     */
    public void openOutFile(){
        try {
            formatter = new Formatter("output.txt");
        }
        catch (Exception e){
            System.out.println("Error writing to file.");
        }
    }

    public String addText(String s){
        formatter.format("%s", s);
        return loadFile();
    }

    public void closeOutFile(){
        formatter.close();
    }

}
