import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class HamletParserTest {
    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeon() {
        //GIVEN

        //WHEN
        String expected = "Leon";
        //THEN
        String actual = hamletParser.changeHamletToLeon();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testChangeHoratioToTariq() {
        //GIVEN

        //WHEN
        String expected = "Tariq";
        //THEN
        String actual = hamletParser.changeChangeHoratioToTariq();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFindHoratio() {
        //GIVEN
        String input = "horatio";
        //WHEN
        boolean expected = true;
        //THEN
        boolean actual = hamletParser.findHoratio(input);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFindHamlet() {
        //GIVEN
        String input = "HAMLET";
        //WHEN
        boolean expected = true;
        //THEN
        boolean actual = hamletParser.findHamlet(input);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFindHoratio2() {
        //GIVEN
        String input = "nope";
        //WHEN
        boolean expected = false;
        //THEN
        boolean actual = hamletParser.findHoratio(input);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFindHamlet2() {
        //GIVEN
        String input = "hhamlet";
        //WHEN
        boolean expected = false;
        //THEN
        boolean actual = hamletParser.findHamlet(input);
        Assert.assertEquals(expected, actual);
    }
}